#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GdkX11.Objects.X11Window where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype X11Window = X11Window (ManagedPtr X11Window)
instance GObject X11Window where
class (GObject o, O.IsDescendantOf X11Window o) => IsX11Window o
instance (GObject o, O.IsDescendantOf X11Window o) => IsX11Window o
instance O.HasParentTypes X11Window
#if ENABLE_OVERLOADING
data X11WindowGetDesktopMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11WindowGetXidMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11WindowMoveToCurrentDesktopMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11WindowMoveToDesktopMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11WindowSetFrameExtentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11WindowSetFrameSyncEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11WindowSetHideTitlebarWhenMaximizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11WindowSetThemeVariantMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11WindowSetUserTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11WindowSetUtf8PropertyMethodInfo
#endif
