

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.GdkX11.Objects
    (     module GI.GdkX11.Objects.X11AppLaunchContext,
    module GI.GdkX11.Objects.X11Cursor      ,
    module GI.GdkX11.Objects.X11DeviceCore  ,
    module GI.GdkX11.Objects.X11DeviceManagerCore,
    module GI.GdkX11.Objects.X11DeviceManagerXI2,
    module GI.GdkX11.Objects.X11DeviceXI2   ,
    module GI.GdkX11.Objects.X11Display     ,
    module GI.GdkX11.Objects.X11DisplayManager,
    module GI.GdkX11.Objects.X11DragContext ,
    module GI.GdkX11.Objects.X11GLContext   ,
    module GI.GdkX11.Objects.X11Keymap      ,
    module GI.GdkX11.Objects.X11Monitor     ,
    module GI.GdkX11.Objects.X11Screen      ,
    module GI.GdkX11.Objects.X11Visual      ,
    module GI.GdkX11.Objects.X11Window      ,


    ) where

import GI.GdkX11.Objects.X11AppLaunchContext
import GI.GdkX11.Objects.X11Cursor
import GI.GdkX11.Objects.X11DeviceCore
import GI.GdkX11.Objects.X11DeviceManagerCore
import GI.GdkX11.Objects.X11DeviceManagerXI2
import GI.GdkX11.Objects.X11DeviceXI2
import GI.GdkX11.Objects.X11Display
import GI.GdkX11.Objects.X11DisplayManager
import GI.GdkX11.Objects.X11DragContext
import GI.GdkX11.Objects.X11GLContext
import GI.GdkX11.Objects.X11Keymap
import GI.GdkX11.Objects.X11Monitor
import GI.GdkX11.Objects.X11Screen
import GI.GdkX11.Objects.X11Visual
import GI.GdkX11.Objects.X11Window

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



