#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GdkX11.Objects.X11Display where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype X11Display = X11Display (ManagedPtr X11Display)
instance GObject X11Display where
class (GObject o, O.IsDescendantOf X11Display o) => IsX11Display o
instance (GObject o, O.IsDescendantOf X11Display o) => IsX11Display o
instance O.HasParentTypes X11Display
#if ENABLE_OVERLOADING
data X11DisplayErrorTrapPopMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayErrorTrapPopIgnoredMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayErrorTrapPushMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayGetStartupNotificationIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayGetUserTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayGetXdisplayMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayGrabMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplaySetCursorThemeMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplaySetStartupNotificationIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplaySetWindowScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayStringToCompoundTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayTextPropertyToTextListMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayUngrabMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11DisplayUtf8ToCompoundTextMethodInfo
#endif
