#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GdkX11.Objects.X11Screen where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype X11Screen = X11Screen (ManagedPtr X11Screen)
instance GObject X11Screen where
class (GObject o, O.IsDescendantOf X11Screen o) => IsX11Screen o
instance (GObject o, O.IsDescendantOf X11Screen o) => IsX11Screen o
instance O.HasParentTypes X11Screen
#if ENABLE_OVERLOADING
data X11ScreenWindowManagerChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data X11ScreenGetCurrentDesktopMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11ScreenGetMonitorOutputMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11ScreenGetNumberOfDesktopsMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11ScreenGetScreenNumberMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11ScreenGetWindowManagerNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11ScreenGetXscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11ScreenLookupVisualMethodInfo
#endif
#if ENABLE_OVERLOADING
data X11ScreenSupportsNetWmHintMethodInfo
#endif
